interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        i8DKWCd4jwnkL8hHzx6IYRAF/x/v/elSPtEDAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36622']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:49 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjj56y.2.1505364109335.Z0FBQUFBQlp1Z2lONDRXYUdnLXRnOHVFMVNtSFZ6bm9JUGFCZE1PbTd0Y0hmS0Y1SnZVUjMzcFB2UFpqNTlvWUR3TGpoV3FQRGJSVnRiZTVhMVI4OWU1cmh2S2l2bE54alcxWEFydkFnaE9TY3JySVRqUFluQzFvX0FNWlNnVEZkSTZXRTVZcnY0Y2g;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:49
          GMT; secure', 'session_tracker=VvldF9iQKxwuSCyNU4.0.1505364109331.Z0FBQUFBQlp1Z2lOVmJGSjJXS3lTWjFWMXpydzBaanBnVTlEMVNjUEhxc2wyNnRieEJPV19yVnlERTYyODJOTVQxR3RTS3c4bTRwVFRKSUJtQ05lM05nWThGSE9PbVFjVzVINHA5YVNZOFliMERCNTNoZFYxX094MXR2WldlUnBGSWtiOVhFY1p3NHE;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:49
          GMT; secure', edgebucket=8uTyReSdD5vKTrOP22; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364109.316673,VS0,VE379']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjj56y.2.1505364109335.Z0FBQUFBQlp1Z2lONDRXYUdnLXRnOHVFMVNtSFZ6bm9JUGFCZE1PbTd0Y0hmS0Y1SnZVUjMzcFB2UFpqNTlvWUR3TGpoV3FQRGJSVnRiZTVhMVI4OWU1cmh2S2l2bE54alcxWEFydkFnaE9TY3JySVRqUFluQzFvX0FNWlNnVEZkSTZXRTVZcnY0Y2g;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:41:49
          GMT; secure', 'session_tracker=VvldF9iQKxwuSCyNU4.0.1505364109331.Z0FBQUFBQlp1Z2lOVmJGSjJXS3lTWjFWMXpydzBaanBnVTlEMVNjUEhxc2wyNnRieEJPV19yVnlERTYyODJOTVQxR3RTS3c4bTRwVFRKSUJtQ05lM05nWThGSE9PbVFjVzVINHA5YVNZOFliMERCNTNoZFYxX094MXR2WldlUnBGSWtiOVhFY1p3NHE;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:49
          GMT; secure', edgebucket=8uTyReSdD5vKTrOP22; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=RUo63Jv6qbg3c6AoTZgJpebQyd5OvZA3QMnUsjELuBcNVFbEk%2FMUwCDF4%2BMQFhYmJ93UzxrgaNQ%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=8uTyReSdD5vKTrOP22; loid=00000000000drjj56y.2.1505364109335.Z0FBQUFBQlp1Z2lONDRXYUdnLXRnOHVFMVNtSFZ6bm9JUGFCZE1PbTd0Y0hmS0Y1SnZVUjMzcFB2UFpqNTlvWUR3TGpoV3FQRGJSVnRiZTVhMVI4OWU1cmh2S2l2bE54alcxWEFydkFnaE9TY3JySVRqUFluQzFvX0FNWlNnVEZkSTZXRTVZcnY0Y2g;
          session_tracker=VvldF9iQKxwuSCyNU4.0.1505364109331.Z0FBQUFBQlp1Z2lOVmJGSjJXS3lTWjFWMXpydzBaanBnVTlEMVNjUEhxc2wyNnRieEJPV19yVnlERTYyODJOTVQxR3RTS3c4bTRwVFRKSUJtQ05lM05nWThGSE9PbVFjVzVINHA5YVNZOFliMERCNTNoZFYxX094MXR2WldlUnBGSWtiOVhFY1p3NHE]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 29224 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['19596']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:51 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364111.778425,VS0,VE365']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VvldF9iQKxwuSCyNU4.0.1505364110795.Z0FBQUFBQlp1Z2lQekNMSGpTWTBuR0k4UkdoQWhIeTRhbzVnNUx3U1dOa1BQMnA2YUZIUXRRYmxzdGt0UVRkQ3JDU2o0M3l1UTlSTU9KQV9EQ1JEWVVZckJzNmpNRS14Y2lpR0pockhMa29tNlg2R0xNVmFkRTJFeDlPd1J2SVJSQXJZVVBSclZsY3I;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:51
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=X8U9SETRrSomYsGoQI0TIzwDxwLZIHindQmX5zqw9mfkEW2n9UiyRr29PlYjDR%2B5HPoBPSS02zU%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=8uTyReSdD5vKTrOP22; loid=00000000000drjj56y.2.1505364109335.Z0FBQUFBQlp1Z2lONDRXYUdnLXRnOHVFMVNtSFZ6bm9JUGFCZE1PbTd0Y0hmS0Y1SnZVUjMzcFB2UFpqNTlvWUR3TGpoV3FQRGJSVnRiZTVhMVI4OWU1cmh2S2l2bE54alcxWEFydkFnaE9TY3JySVRqUFluQzFvX0FNWlNnVEZkSTZXRTVZcnY0Y2g;
          session_tracker=VvldF9iQKxwuSCyNU4.0.1505364110795.Z0FBQUFBQlp1Z2lQekNMSGpTWTBuR0k4UkdoQWhIeTRhbzVnNUx3U1dOa1BQMnA2YUZIUXRRYmxzdGt0UVRkQ3JDU2o0M3l1UTlSTU9KQV9EQ1JEWVVZckJzNmpNRS14Y2lpR0pockhMa29tNlg2R0xNVmFkRTJFeDlPd1J2SVJSQXJZVVBSclZsY3I]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&sort=top&t=all&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 32640 characters]
        Bf9/IxUqow64AQA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['21899']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:52 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364112.359742,VS0,VE320']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VvldF9iQKxwuSCyNU4.0.1505364112379.Z0FBQUFBQlp1Z2lRWlgtUjlONVgyZC1MZTE1RXU1X0JuWVhDd0N6VVk4M2pZUjBZdU43NkVYNUZUd0NpUGdTdnlyYWlNSDZaSnQ1RmhtemEydjJwVGM4eWI5MWhSX2tWcFBFZXRsYUVpLUZZMUVkOElRcGx2eHpkcUxVcGhlWE9hR1ZVSjFpaHNGcGw;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:52
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=%2BmuwboTzhIpPSIzuaC49RxniP0p00VYz73xXG%2BNJwShYRvfRpcP2%2FQKmI1xt9S%2BbZSiHyrpHmIc%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=8uTyReSdD5vKTrOP22; loid=00000000000drjj56y.2.1505364109335.Z0FBQUFBQlp1Z2lONDRXYUdnLXRnOHVFMVNtSFZ6bm9JUGFCZE1PbTd0Y0hmS0Y1SnZVUjMzcFB2UFpqNTlvWUR3TGpoV3FQRGJSVnRiZTVhMVI4OWU1cmh2S2l2bE54alcxWEFydkFnaE9TY3JySVRqUFluQzFvX0FNWlNnVEZkSTZXRTVZcnY0Y2g;
          session_tracker=VvldF9iQKxwuSCyNU4.0.1505364112379.Z0FBQUFBQlp1Z2lRWlgtUjlONVgyZC1MZTE1RXU1X0JuWVhDd0N6VVk4M2pZUjBZdU43NkVYNUZUd0NpUGdTdnlyYWlNSDZaSnQ1RmhtemEydjJwVGM4eWI5MWhSX2tWcFBFZXRsYUVpLUZZMUVkOElRcGx2eHpkcUxVcGhlWE9hR1ZVSjFpaHNGcGw]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/search.json?q=search+term&sort=new&restrict_sr=on
  response:
    body:
      string: !!binary |
[encoded data, 39355 characters]
        ue5aH0Ak8CmfaHeOFsTHnCb8/9Mda43gAQIA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['26418']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:56 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364117.685870,VS0,VE306']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VvldF9iQKxwuSCyNU4.0.1505364116703.Z0FBQUFBQlp1Z2lVYjlQSVpPWkx0a081UVQwa0xxTGVlck9aZUdMajBMQkUwXzhybVJVelNHcEtnOExnaTRHVUpuVGpucUtGcUdfRHZ4UkNZTUxvR1RzN0JXaXFnQmIyb2lPMDBUWHhMS3hnVF9iUzdYbFVidWNuNU1ubmdCVG5OTmwxaGhBRzdpVXA;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:56
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=YzQeYsRjT54dTwQbk%2FC86cklTyvekz%2BvSixg50NPKBJri%2BDvlux98ClkxmC4BDT%2FgXbdZqrXmjw%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=8uTyReSdD5vKTrOP22; loid=00000000000drjj56y.2.1505364109335.Z0FBQUFBQlp1Z2lONDRXYUdnLXRnOHVFMVNtSFZ6bm9JUGFCZE1PbTd0Y0hmS0Y1SnZVUjMzcFB2UFpqNTlvWUR3TGpoV3FQRGJSVnRiZTVhMVI4OWU1cmh2S2l2bE54alcxWEFydkFnaE9TY3JySVRqUFluQzFvX0FNWlNnVEZkSTZXRTVZcnY0Y2g;
          session_tracker=VvldF9iQKxwuSCyNU4.0.1505364116703.Z0FBQUFBQlp1Z2lVYjlQSVpPWkx0a081UVQwa0xxTGVlck9aZUdMajBMQkUwXzhybVJVelNHcEtnOExnaTRHVUpuVGpucUtGcUdfRHZ4UkNZTUxvR1RzN0JXaXFnQmIyb2lPMDBUWHhMS3hnVF9iUzdYbFVidWNuNU1ubmdCVG5OTmwxaGhBRzdpVXA]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/learnpython/new.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 98175 characters]
        yCAkLNJNXPsMZ3TtgQyGJPw/6W6GXdFUBgA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['65861']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:41:59 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364119.069333,VS0,VE366']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=VvldF9iQKxwuSCyNU4.0.1505364119089.Z0FBQUFBQlp1Z2lYdlRoWWpWNzZKNTljQ1RmNVZvalBmclRKaFBVMkkycjhZYU9mTmR2ak1JRU1YRlNkT21jaW5oa3JkRkVLWlpwTm9sdGh1YlhRNlp3WHF3b1FxZ1FpR2lybUlSTk9hd19GdF9OZDFOVXE3c1dDWUhJakNEbEpTOVNuTmh5YnhvQ1U;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:41:59
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Qd3U4LO7ZgIruY6fEItZ1CEiEIZmtkL4xbIUQY29QS2VfGxZYt7p8vRhUAJx8jRfq7rkI%2FOKxReolbqa4smuwp3uoXx5ULuR']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
